function OnInit() //before the entity is placed in the world, init visuals here, so it knows the size dimensions
	this:SetPersistent(false); //don't save us with the map
		//this:SetImage("lua_script.png", nil); 
		this:SetImage("invisible.png", nil);
	//this:SetAttach(C_ENTITY_CAMERA, Vector2(0,0); //so we are always on screen and processed	
	this:GetBrainManager():Add("DoomWall","walls_block=false");
	this:SetName("DoomWall"); //so we can find it by name later

	//now we can init the real grid
		this:GetBrainManager():SendToBrainByName("DoomWall","gridSize=10"); //our C++ brain, it also overrides its size

end


function OnPostInit() //run during the entity's first logic update
			
end


function OnKill()  //run when removed
end